Package com.pixelmed.dicom

# Class PDFToDicomImage

java.lang.Object
com.pixelmed.dicom.PDFToDicomImage

public class PDFToDicomImage extends Object

A class for converting PDF files into a single or multi frame DICOM Secondary Capture image with one frame per page.

## Constructor Summary

Constructors
Constructor
Description
`PDFToDicomImage(String inputFile, String outputFile, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, int requestedDpi)`
Read PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PDFToDicomImage

public PDFToDicomImage(String inputFile, String outputFile, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, int requestedDpi) throws IOException, DicomException, PdfException, Exception

Read PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

Parameters:
  `inputFile` -
  `outputFile` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
  `requestedDpi` -
Throws:
  `DicomException`
  `IOException`
  `PdfException`
  `Exception`

## Method Details

### main

public static void main(String[] arg)

Read a PDF file, and create a single or multi frame DICOM Secondary Capture image with one frame per page.

Parameters:
  `arg` - six parameters, the inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, dots per inch